Name:		w3m
Version:	0.3
Release:	1
License:	BSD
URL:		http://w3m.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildPreReq:	bzip2 findutils sed ncurses-devel
BuildRequires:	openssl
%ifnarch s390 s390x
BuildRequires:	gpm-devel
%endif

## re-compressed bzip2 instead of gzip
#Source0: http://download.sourceforge.net/w3m/%{name}-%{version}.tar.gz
Source0:	%{name}-%{version}.tar.bz2

Source1:	w3m-0.3-config.param-ja
Source2:	w3m-0.3-config.param-en
Source3:	w3m-config.param-s390.sed

Source10:	w3m-wrapper
Source11:	w3mbookmark.bz2
Source12:	w3mhelperpanel.bz2
Source13:	w3mconfig.bz2

Patch0:		w3m-0.2.3.1-ipv6.patch
Patch1:		w3m-0.3-fixprivsym.patch

## fix patch


Summary:	A pager with Web browsing abilities.
Group:		Applications/Internet
Requires:	indexhtml, perl, openssl
Provides:	webclient

%description
The w3m program is a pager (or text file viewer) that can also be used
as a text-mode Web browser. W3m features include the following: when
reading an HTML document, you can follow links and view images using
an external image viewer; its internet message mode determines the
type of document from the header; if the Content-Type field of the
document is text/html, the document is displayed as an HTML document;
you can change a URL description like 'http://hogege.net' in plain
text into a link to that URL.

%prep
%setup -q
%patch0 -p0
%patch1 -p1


%build

## for ja
(echo "# Configuration at "`hostname`; cat %{SOURCE1}) > $RPM_BUILD_DIR/%{name}-%{version}/config.param
%ifarch s390 s390x
%{__sed} -f %{SOURCE3} config.param > config.param.new
%{__mv} config.param.new config.param
%endif

./configure --yes
LC_ALL=C %{__make} && \
for f in w3m w3mbookmark w3mhelperpanel ; do mv $f $f-ja ; done \
&& %{__make} clean


## for en
(echo "# Configuration at "`hostname`; cat %{SOURCE2}) > $RPM_BUILD_DIR/%{name}-%{version}/config.param
%ifarch s390 s390x
%{__sed} -f %{SOURCE3} config.param > config.param.new
%{__mv} config.param.new config.param
%endif

./configure --yes
LC_ALL=C %{__make} && \
for f in w3m w3mbookmark w3mhelperpanel ; do mv $f $f-en ; done


cat %{SOURCE10} > ./w3m
bzcat %{SOURCE11} > ./w3mbookmark
bzcat %{SOURCE12} > ./w3mhelperpanel
bzcat %{SOURCE13} > ./w3mconfig


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/w3m,%{_datadir}/w3m}
%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/{man1,ja/man1}
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/w3m

for f in w3m w3m-ja w3m-en; do \
	%{__install} -m 755 $f $RPM_BUILD_ROOT%{_bindir}; done

%{__install} -m 644 w3mconfig $RPM_BUILD_ROOT%{_sysconfdir}/w3m

for f in w3mbookmark{,-ja,-en} scripts/{dirlist.cgi,w3mhelp.cgi,w3mmail.cgi,multipart/multipart.cgi,w3mman/{w3mman,w3mman2html.cgi}} w3mhelperpanel{,-en,-ja} w3mimgdisplay w3mimgsize inflate
do %{__install} -m 755 $f $RPM_BUILD_ROOT%{_libdir}/w3m; done

## for f in w3mbookmark{,-ja,-en} w3mimg{size,display} scripts/dirlist.cgi
## do %{__install} -m 755 $f $RPM_BUILD_ROOT%{_libdir}/w3m; done

for f in w3mhelp*.html ; do \
	%{__install} -m 644 $f $RPM_BUILD_ROOT%{_datadir}/w3m; done

## make symlink of HTTP_HOME (/usr/share/doc/HTML/index.html*)
## w3m doesn't think index.html.ja_JP as HTML even if its mime-type
## is specfied (-T html):
## %define index_en %{_docdir}/HTML/index.html
## %define index_ja %{_docdir}/HTML/index.html.ja_JP
%define index_en ../doc/HTML/index.html
%define index_ja ../doc/HTML/index.html.ja_JP

cd  $RPM_BUILD_ROOT%{_datadir}/w3m ; \
	( [ -f %{index_en} ] && %{__ln_s} %{index_en} index-en.html ) ; \
	( [ -f %{index_ja} ] && %{__ln_s} %{index_ja} index-ja.html ) ; \
cd -


%{__install} -m 644 doc-jp/w3m.1 ${RPM_BUILD_ROOT}%{_mandir}/ja/man1
%{__install} -m 644 doc/w3m.1    ${RPM_BUILD_ROOT}%{_mandir}/man1

# don't include duplicated man pages and CVS directory in doc
%{__rm} -f doc-jp/w3m.1 doc/w3m.1 && \
	find . -name "CVS" | xargs %{__rm} -rf


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %{_libdir}/w3m
%dir %{_datadir}/w3m
%doc doc doc-jp
%config %{_sysconfdir}/w3m/w3mconfig
## %doc README.img
%{_bindir}/w3m*
%attr(644,root,root)
%{_libdir}/w3m/*
%{_datadir}/w3m/*
%{_mandir}/ja/man1/w3m.1*
%{_mandir}/man1/w3m.1*


%changelog
* Wed Mar  6 2002 Akira TAGOH <tagoh@redhat.com> 0.3-1
- New upstream release.
- w3m-0.3-config.param-{en,ja}: update.
- w3m-0.3-fixprivsym.patch: Fixed unresolved dependencies. (Bug#60725)
  Thanks Jakub.
- fix the missing files.

* Fri Feb 22 2002 Akira TAGOH <tagoh@redhat.com> 0.2.5.1-2
- Build against new environment.

* Tue Feb  5 2002 Akira TAGOH <tagoh@redhat.com> 0.2.5.1-1
- New upstream release.

* Fri Feb  1 2002 Akira TAGOH <tagoh@redhat.com> 0.2.5-1
- New upstream release.
- Update build config files for 0.2.5
- Update default config.

* Wed Jan  9 2002 Akira TAGOH <tagoh@redhat.com> 0.2.4-2
- Fixed use a wrong build config for en. (Bug#58093)
- Update build config files for 0.2.4
- Added cert path to default config.

* Tue Jan  8 2002 Akira TAGOH <tagoh@redhat.com> 0.2.4-1
- New upstream release.
- Remove old GC library from srpm because no longer need it.

* Thu Dec 27 2001 Akira TAGOH <tagoh@redhat.com> 0.2.3.2-2
- Fixed the wrong default settings.

* Tue Dec 25 2001 Akira TAGOH <tagoh@redhat.com> 0.2.3.2-1
- New upstream release.

* Fri Dec 21 2001 Akira TAGOH <tagoh@redhat.com> 0.2.3.1-1
- New upstream release.

* Wed Dec  5 2001 Akira TAGOH <tagoh@redhat.com> 0.2.2-2
- Added config file for alpha from James Antill.

* Mon Nov 19 2001 Akira TAGOH <tagoh@redhat.com> 0.2.2-1
- New upstream release.

* Thu Aug 29 2001 SATO Satoru <ssato@redhat.com> - 0.2.1-11
- made the relative link to HTML_HOME instead of the absolute one
- fixed the permission of sources (to shut up rpmlint)

* Wed Aug 29 2001 SATO Satoru <ssato@redhat.com> - 0.2.1-10
- fixed the wrapper script (#52759)

* Fri Aug  9 2001 SATO Satoru <ssato@redhat.com> - 0.2.1-9
- corrected the help files' path (#51197)
- removed /etc/profile.d/*
- fixed and update the wrapper
- removed imlib-devel (BuildRequires:)

* Fri Aug  4 2001 SATO Satoru <ssato@redhat.com> - 0.2.1-8
- disabled the inline image rendering patch by default (#50786)

* Tue Jul 24 2001 SATO Satoru <ssato@redhat.com>
- s/Copyright/License/
- %%files: add '/etc/profile.d/w3m.*'
- enable IPv6 support by default (#35649)

* Fri Jul 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- do not require gpm for s390,s390x

* Tue Jul 17 2001 SATO Satoru <ssato@redhat.com>
- apply inline image support patch.
- BuildRequires: imlib-devel
- add %%dir lines

* Thu Jun 28 2001 Than Ngo <than@redhat.com>
- fix to build on s390x s390
- fix to use RPM_OPT_FLAGS

* Mon Jun 25 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- disable mouse/gpm on s390 s390x

* Thu Jun 21 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 support.

* Wed Jun 20 2001 SATO Satoru <ssato@redhat.com>
- 0.2.1
- clean up SPEC
- apply security bug fix
- w3m-el is removed (moved into w3m-el package)

* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Fri Feb  9 2001 SATO Satoru <ssato@redhat.com>
- not to use upstream configure script (it looks corrupted)
- separated w3m-ja/w3m-en (#26443)
- apply many security bug fix patch
- ExludeArch alpha
- use bzip2 instead of gzip for src/patches

* Thu Feb  8 2001 SATO Satoru <ssato@redhat.com>
- changed configure option ( --lang=ja -> --lang=en)

* Thu Jan 18 2001 Tim Powers <timp@redhat.com>
- ExludeArch ia64

* Sun Jan 14 2001 SATO Satoru <ssato@redhat.com>
- fix the error while building on IA64

* Fri Jan 12 2001 SATO Satoru <ssato@redhat.com>
- fix the error while building on Sparc
- clean up SPEC

* Thu Dec 28 2000 SATO Satoru <ssato@redhat.com>
- new upstream pre release
- added w3m.el
- clean up SPEC

* Wed Sep  6 2000 Satoru Sato <ssato@redhat.com>
- ported from vine
- remove w3m.wmconfig
- build with openssl library

* Sun Jul 09 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- w3m-0.1.10-0vl3
- provide default HTTP_HOME in /etc/profile.d

* Fri Jul 07 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- Provides: webclient, Requires: indexhtml (capability of lynx)
- added w3m.wmconfig
- give them(who?) RPM_OPT_FLAGS(what?)
- dont include duplicated man pages and CVS directory in doc

* Wed Jun 21 2000 Jun Nishii <jun@vinelinux.org>
- 0.1.10-0vl1

* Sat Jan 22 2000 Yoichi Imai <yoichi@silver-forest.com>
- fix spec file

* Sat Jan 22 2000 Yoichi Imai <yoichi@silver-forest.com>
- updated from 0.1.4 to 0.1.6

* Thu Jan 13 2000 Yoichi Imai <yoichi@silver-forest.com>
- updated from 991203 to 0.1.4

* Fri Dec 03 1999 Yoichi Imai <yoichi@silver-forest.com>
- updated from 991028 to 991203

* Sat Oct 30 1999 Yoichi Imai <bonaim@mutt.freemail.ne.jp>
- updated from 990820 to 991028

* Tue Aug 26 1999 Ryo Hattori <ryoh@vs01.vaio.ne.jp>
- updated from 990716 to 990820

* Wed Aug 11 1999 Ryo Hattori <ryoh@vs01.vaio.ne.jp>
- initial Release to VinePlus
